> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel an audience operation

> Cancels a pending or in-progress audience operation identified by its operation ID.



## OpenAPI

````yaml /api-reference/management.json post /v1/audiences/{audience_id}/operations/{operation_id}/cancel
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v1/audiences/{audience_id}/operations/{operation_id}/cancel:
    post:
      tags:
        - Audiences
      summary: Cancel an audience operation
      description: >-
        Cancels a pending or in-progress audience operation identified by its
        operation ID.
      operationId: cancelAudienceOperation
      parameters:
        - in: path
          name: audience_id
          required: true
          schema:
            type: string
        - in: path
          name: operation_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudienceOperationStateResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                audience_operation_another_operation_in_progress:
                  $ref: >-
                    #/components/examples/audience_operation_another_operation_in_progress
                audience_operation_audience_not_found:
                  $ref: '#/components/examples/audience_operation_audience_not_found'
                audience_operation_operation_not_found:
                  $ref: '#/components/examples/audience_operation_operation_not_found'
                binding_error:
                  $ref: '#/components/examples/binding_error'
                cancel_audience_operation_data_source_type_not_supported:
                  $ref: >-
                    #/components/examples/cancel_audience_operation_data_source_type_not_supported
                cancel_audience_operation_type_not_supported:
                  $ref: >-
                    #/components/examples/cancel_audience_operation_type_not_supported
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    AudienceOperationStateResponse:
      discriminator:
        mapping:
          ACTION:
            $ref: '#/components/schemas/ActionAudienceOperationStateResponse'
          ADD:
            $ref: >-
              #/components/schemas/ModificationAudienceOperationStateResponseAsAdd
          REMOVE:
            $ref: >-
              #/components/schemas/ModificationAudienceOperationStateResponseAsRemove
          REPLACE:
            $ref: >-
              #/components/schemas/ModificationAudienceOperationStateResponseAsReplace
        propertyName: type
      oneOf:
        - title: ACTION
          allOf:
            - $ref: '#/components/schemas/ActionAudienceOperationStateResponse'
        - title: ADD
          allOf:
            - $ref: >-
                #/components/schemas/ModificationAudienceOperationStateResponseAsAdd
        - title: REMOVE
          allOf:
            - $ref: >-
                #/components/schemas/ModificationAudienceOperationStateResponseAsRemove
        - title: REPLACE
          allOf:
            - $ref: >-
                #/components/schemas/ModificationAudienceOperationStateResponseAsReplace
      required:
        - created_date
        - error_code
        - input_rows_count
        - state
        - state_reached_date
        - type
        - updated_date
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ActionAudienceOperationStateResponse:
      allOf:
        - $ref: '#/components/schemas/AudienceOperationStateResponseBase'
        - properties:
            type:
              enum:
                - ACTION
              type: string
      required:
        - created_date
        - error_code
        - input_rows_count
        - state
        - state_reached_date
        - type
        - updated_date
      type: object
      title: ACTION
    ModificationAudienceOperationStateResponseAsAdd:
      allOf:
        - $ref: '#/components/schemas/AudienceOperationStateResponseBase'
        - properties:
            result:
              $ref: '#/components/schemas/AudienceOperationResultResponse'
            retry_count:
              format: int32
              type: integer
            type:
              enum:
                - ADD
              type: string
          type: object
      required:
        - created_date
        - error_code
        - input_rows_count
        - result
        - retry_count
        - state
        - state_reached_date
        - type
        - updated_date
      type: object
      title: ADD
    ModificationAudienceOperationStateResponseAsRemove:
      allOf:
        - $ref: '#/components/schemas/AudienceOperationStateResponseBase'
        - properties:
            result:
              $ref: '#/components/schemas/AudienceOperationResultResponse'
            retry_count:
              format: int32
              type: integer
            type:
              enum:
                - REMOVE
              type: string
          type: object
      required:
        - created_date
        - error_code
        - input_rows_count
        - result
        - retry_count
        - state
        - state_reached_date
        - type
        - updated_date
      type: object
      title: REMOVE
    ModificationAudienceOperationStateResponseAsReplace:
      allOf:
        - $ref: '#/components/schemas/AudienceOperationStateResponseBase'
        - properties:
            result:
              $ref: '#/components/schemas/AudienceOperationResultResponse'
            retry_count:
              format: int32
              type: integer
            type:
              enum:
                - REPLACE
              type: string
          type: object
      required:
        - created_date
        - error_code
        - input_rows_count
        - result
        - retry_count
        - state
        - state_reached_date
        - type
        - updated_date
      type: object
      title: REPLACE
    AudienceOperationStateResponseBase:
      properties:
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        error_code:
          enum:
            - COLUMN_CONFIGURATION_ERROR
            - CONFIGURATION_ERROR
            - EVENTS_EXECUTION_ERROR
            - EXECUTION_ERROR
            - INPUT_FILE_ERROR
            - INTERRUPT
            - MEMBERS_COUNT_VALIDATION_RETRIES_EXHAUSTED
            - MEMORY_ERROR
            - MISMATCH_EVENTS_EXECUTION_ERROR
            - ROW_COUNT_VALIDATION_RETRIES_EXHAUSTED
            - SOFTWARE_ERROR
            - STORAGE_ERROR
            - UNKNOWN
          type: string
        input_rows_count:
          format: int64
          type: integer
        state:
          enum:
            - BUILDING
            - CANCELED
            - EXPIRED
            - FAILED
            - PREPARING
            - READY
            - VALIDATING
          type: string
        state_reached_date:
          $ref: '#/components/schemas/ZonedDateTime'
        type:
          enum:
            - ACTION
            - ADD
            - REMOVE
            - REPLACE
          type: string
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
      type: object
    AudienceOperationResultResponse:
      properties:
        anonymous_count:
          format: int64
          type: integer
        last_update:
          $ref: '#/components/schemas/ZonedDateTime'
        member_count:
          format: int64
          type: integer
        non_processed_count:
          format: int64
          type: integer
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
  examples:
    audience_operation_another_operation_in_progress:
      summary: audience_operation_another_operation_in_progress
      value:
        code: audience_operation_another_operation_in_progress
        http_status_code: 400
        message: Another operation in progress was found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    audience_operation_audience_not_found:
      summary: audience_operation_audience_not_found
      value:
        code: audience_operation_audience_not_found
        http_status_code: 400
        message: Audience was not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    audience_operation_operation_not_found:
      summary: audience_operation_operation_not_found
      value:
        code: audience_operation_operation_not_found
        http_status_code: 400
        message: Operation was not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    cancel_audience_operation_data_source_type_not_supported:
      summary: cancel_audience_operation_data_source_type_not_supported
      value:
        code: cancel_audience_operation_data_source_type_not_supported
        http_status_code: 400
        message: Cancellation is not supported for data source type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    cancel_audience_operation_type_not_supported:
      summary: cancel_audience_operation_type_not_supported
      value:
        code: cancel_audience_operation_type_not_supported
        http_status_code: 400
        message: Cancellation is not supported for type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````